Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.wfs
Class CascadingWFSDatastore

    java.lang.Object
      org.deegree.io.datastore.Datastore
          org.deegree.io.datastore.wfs.CascadingWFSDatastore

    public class CascadingWFSDatastore

extends Datastore

`Datastore` that uses a remote WFS instance as backend.

Version:
  $Revision: 25030 $, $Date: 2010-06-23 09:14:37 +0200 (Mi, 23. Jun 2010) $
Author:
  Andreas Poth, Markus Schneider, Giovanni Zigliara, last edited by: $Author: apoth $

Field Summary

Fields inherited from class org.deegree.io.datastore.Datastore
`SRS_UNDEFINED`

Constructor Summary
`CascadingWFSDatastore()`

Method Summary
`void` | `close()` Closes the datastore so it can free dependent resources.
`CascadingWFSAnnotationDocument` | `getAnnotationParser()` Returns the datastore specific annotation parser.
`(package private) WFSCapabilities` | `getWFSCapabilities(URL wfsBaseURL)` Returns the `WFSCapabilities` for the WFS that can be reached at the given `URL`.
`FeatureCollection` | `performQuery(Query query, MappedFeatureType[] rootFts)` Performs a query against the datastore.
`FeatureCollection` | `performQuery(Query query, MappedFeatureType[] rootFts, DatastoreTransaction context)` Performs a query against the datastore (in the given transaction context).

Methods inherited from class org.deegree.io.datastore.Datastore
`acquireTransaction, bindSchema, canTransformTo, configure, determineFidsToLock, getConfiguration, getFeatureType, getSchemas, releaseTransaction, transformQuery, transformResult`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CascadingWFSDatastore

    public CascadingWFSDatastore()

Method Detail

### getAnnotationParser

    public CascadingWFSAnnotationDocument getAnnotationParser()

  Description copied from class: `Datastore`
  Returns the datastore specific annotation parser.

  Specified by:
    `getAnnotationParser` in class `Datastore`
  Returns:
    the datastore specific annotation parser

### close

    public void close()
               throws DatastoreException

  Description copied from class: `Datastore`
  Closes the datastore so it can free dependent resources.

  Specified by:
    `close` in class `Datastore`
  Throws:
    `DatastoreException`

### performQuery

    public FeatureCollection performQuery(Query query,
                                          MappedFeatureType[] rootFts,
                                          DatastoreTransaction context)
                                   throws DatastoreException,
                                          UnknownCRSException

  Description copied from class: `Datastore`
  Performs a query against the datastore (in the given transaction context).

  Specified by:
    `performQuery` in class `Datastore`
  Parameters:
    `query` - query to be performed
    `rootFts` - the root feature types that are queried, more than one type means that the types are joined
    `context` - context (used to specify the JDBCConnection, for example)
  Returns:
    requested feature instances
  Throws:
    `DatastoreException`
    `UnknownCRSException`

### performQuery

    public FeatureCollection performQuery(Query query,
                                          MappedFeatureType[] rootFts)
                                   throws DatastoreException,
                                          UnknownCRSException

  Description copied from class: `Datastore`
  Performs a query against the datastore.

  Specified by:
    `performQuery` in class `Datastore`
  Parameters:
    `query` - query to be performed
    `rootFts` - the root feature types that are queried, more than one type means that the types are joined
  Returns:
    requested feature instances
  Throws:
    `DatastoreException`
    `UnknownCRSException`

### getWFSCapabilities

    WFSCapabilities getWFSCapabilities(URL wfsBaseURL)
                                 throws DatastoreException

  Returns the `WFSCapabilities` for the WFS that can be reached at the given `URL`.

  Parameters:
    `wfsBaseURL` - base URL of the WFS
  Returns:
    the `WFSCapabilities` of the WFS
  Throws:
    `DatastoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org